rio_get_swpinfo_inport
Prev | Enumeration and Discovery | Next

## Name

rio_get_swpinfo_inport — Gets the ingress port number

## Synopsis

`u8 rio_get_swpinfo_inport (` | struct rio_mport * | mport,
| u16 | destid,
| u8 | hopcount`)`;

## Arguments

`mport`

  Master port to send transaction

`destid`

  Destination ID associated with the switch

`hopcount`

  Number of hops to the device

## Description

Returns port number being used to access the switch device.

Prev | Up | Next
rio_get_host_deviceid_lock | Home | rio_get_swpinfo_tports